ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
CAMCodec Class Reference

`#include <CAMCodec.hh>`

Inheritance diagram for CAMCodec:

## Public Member Functions
| CAMCodec ()
virtual | ~CAMCodec ()
virtual int | encode (const CAM__PDU__Descriptions::CAM &cam, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, CAM__PDU__Descriptions::CAM &, Params *params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< CAM__PDU__Descriptions::CAM, CAM__PDU__Descriptions::CAM >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Attributes
CAMPDUCodec | asnCodec

## Additional Inherited Members
Protected Attributes inherited from Codec< CAM__PDU__Descriptions::CAM, CAM__PDU__Descriptions::CAM >
Params * | _params

## Constructor & Destructor Documentation

## ◆ CAMCodec()

CAMCodec::CAMCodec | ( |  | ) |
| inline explicit

## ◆ ~CAMCodec()

virtual CAMCodec::~CAMCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int CAMCodec::decode | ( | const OCTETSTRING & | p_,
|  | CAM__PDU__Descriptions::CAM & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< CAM__PDU__Descriptions::CAM, CAM__PDU__Descriptions::CAM >.

## ◆ encode()

int CAMCodec::encode | ( | const CAM__PDU__Descriptions::CAM & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< CAM__PDU__Descriptions::CAM, CAM__PDU__Descriptions::CAM >.

## Member Data Documentation

## ◆ asnCodec

CAMPDUCodec CAMCodec::asnCodec
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/CAMCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/CAMCodec.cc